<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 25/12/2015
 * Time: 2:22 CH
 */
if (!defined('BASEPATH')) exit('No direct script access allowed');

class CmsVheartbeatlive extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
        date_default_timezone_set("Asia/Ho_Chi_Minh");
        //
        $this->load->model('vheartbeat_live_model');
        $this->load->model('actionlog_model');
    }

    public function listVheartbeatlive()
    {
        $this->_data['functionName'] = 'Mã nhúng V Heartbeat Live';
        $this->_data['action'] = __FUNCTION__;
        $this->_data['titlePage'] = 'Mã nhúng V Heartbeat Live';
        $this->_data['loadPage'] = 'backend/cms_vheartbeatlive/list_vheartbeatlive_view';
        $this->load->view('backend/admin_template_view', $this->_data);
    }

    public function listVheartbeatliveAjax()
    {
        $data = array();
        $fByName = $this->input->post('fByName');
        $pageId = $this->input->post('pageId');
        //
        $pageId = ($pageId == 0) ? 1 : $pageId;
        //
        $limit = 25;
        $offset = ($pageId - 1) * $limit;
        $data['offset'] = ($pageId - 1) * $limit;
        $totalRecord = $this->vheartbeat_live_model->countAll($fByName);
        $data['pagination'] = MyHelper::genPaginationLink($totalRecord, $limit, $pageId);
        $data['listData'] = $this->vheartbeat_live_model->getPagination($limit, $offset, $fByName);
        //
        $this->load->view('backend/ajax/cms_vheartbeatlive/list_vheartbeatlive_view', $data);
    }

    public function editArtist($user_id)
    {
        $this->_data['contest'] = $contest = $this->user_model->getById($user_id);
        // Kiểm tra trùng giá trị nếu thay đổi ở form

        // Thiết lập validate
        $this->form_validation->set_rules(
            'id',
            'ID',
            'trim'
        );

        $this->form_validation->set_rules(
            'full_name',
            'text',
            'trim|callback_check_full_name|required|xss_clean'
        );

        $this->form_validation->set_message('required', '<li class="list-unstyled">Bắt buộc nhập, chọn.</li>');
        $this->form_validation->set_message('is_unique', '<li class="list-unstyled">Đã tồn tại.</li>');
        // Xử lý form đăng nhập
        if($this->form_validation->run($this) == false) {
            $this->_data['full_name'] = $this->input->post('full_name');
            $this->_data['link_zing'] = $this->input->post('link_zing');
            $this->_data['link_nct'] = $this->input->post('link_nct');
            $this->_data['link_keeng'] = $this->input->post('link_keeng');
            //
            $this->_data['functionName'] = 'Cập nhật thông tin Ca sĩ/Nghệ sĩ';
            $this->_data['action'] = 'editArtist';
            $this->_data['titlePage'] = 'Cập nhật thông tin Ca sĩ/Nghệ sĩ';
            $this->_data['loadPage'] = 'backend/cms_artist/edit_artist_view';
            $this->load->view('backend/admin_template_view', $this->_data);
        }else{
            $full_name = $this->input->post('full_name');
            $link_zing = $this->input->post('link_zing');
            $link_nct = $this->input->post('link_nct');
            $link_keeng = $this->input->post('link_keeng');
            if( $full_name){
                $dataUpdate = array(
                    'user_type' => 2,
                    'full_name' => $full_name,
                    'link' => $link_zing,
                    'link_nct' => $link_nct,
                    'link_keeng' => $link_keeng
                );
                $this->user_model->update($user_id, $dataUpdate);
                // Ghi log
                // $this->mactionlog->add('UPDATED', 'Cập nhật Cuộc đua thành công!', 'Mactionlog', 'action_log', $contest_id);
                //
                $this->session->set_flashdata('success', 'Cập nhật Nghệ sĩ thành công');
            }else{
                $this->session->set_flashdata('error', 'Cập nhật Nghệ sĩ không thành công');
            }
            redirect(base_url().'backend/cmsArtist/listVheartbeatlive');
        }
    }

    public function addVheartbeatlive()
    {
        // Thiết lập validate
        $this->form_validation->set_rules('id', 'ID', 'trim');
        $this->form_validation->set_rules('title', 'Tiêu đề', 'trim|required|xss_clean');
        $this->form_validation->set_rules('embed_code', 'Mã nhúng', 'trim|required');

        $this->form_validation->set_message('required', '<li class="list-unstyled">Bắt buộc nhập, chọn.</li>');
        $this->form_validation->set_message('is_unique', '<li class="list-unstyled">Đã tồn tại.</li>');
        // Xử lý form đăng nhập
        if($this->form_validation->run($this) == false) {
            $this->_data['title'] = $this->input->post('title');
            $this->_data['embed_code'] = $this->input->post('embed_code', false);
            //
            $this->_data['functionName'] = 'Thêm mới mã nhúng V Heartbeat Live';
            $this->_data['action'] = 'addArtist';
            $this->_data['titlePage'] = 'Thêm mới mã nhúng V Heartbeat Live';
            $this->_data['loadPage'] = 'backend/cms_vheartbeatlive/add_vheartbeatlive_view';
            $this->load->view('backend/admin_template_view', $this->_data);
        }else{
            $title = $this->input->post('title');
            $embed_code = $this->input->post('embed_code');
            if($title && $embed_code){
                $data_insert = array(
                    'title' => $title,
                    'embed_code' => $embed_code,
                    'created_at' => date('Y-m-d H:i:s'),
                    'updated_at' => date('Y-m-d H:i:s')
                );
                $insert_id = $this->vheartbeat_live_model->add($data_insert);
                // Ghi log
                $this->actionlog_model->add('ADDED', 'Thêm mới mã nhúng thành công!', 'Actionlog_model', 'action_log', $insert_id);
                //
                $this->session->set_flashdata('success', 'Thêm mới mã nhúng thành công');
            }else{
                $this->session->set_flashdata('error', 'Thêm mới mã nhúng không thành công');
            }
            redirect(base_url().'backend/cmsVheartbeatlive/listVheartbeatlive');
        }
    }

    public function editVheartbeatlive($id)
    {
        $this->_data['vlive'] = $vlive = $this->vheartbeat_live_model->getById($id);

        if (is_numeric($id) && isset($vlive[0])) {
            // Thiết lập validate
            $this->form_validation->set_rules('id', 'ID', 'trim');
            $this->form_validation->set_rules('title', 'Tiêu đề', 'trim|required|xss_clean');
            $this->form_validation->set_rules('embed_code', 'Mã nhúng', 'trim|required');

            $this->form_validation->set_message('required', '<li class="list-unstyled">Bắt buộc nhập, chọn.</li>');
            $this->form_validation->set_message('is_unique', '<li class="list-unstyled">Đã tồn tại.</li>');
            // Xử lý form đăng nhập
            if($this->form_validation->run($this) == false) {
                $this->_data['title'] = $this->input->post('title');
                $this->_data['embed_code'] = $this->input->post('embed_code', false);
                //
                $this->_data['functionName'] = 'Cập nhật mã nhúng V Heartbeat Live';
                $this->_data['action'] = 'addArtist';
                $this->_data['titlePage'] = 'Cập nhật mã nhúng V Heartbeat Live';
                $this->_data['loadPage'] = 'backend/cms_vheartbeatlive/edit_vheartbeatlive_view';
                $this->load->view('backend/admin_template_view', $this->_data);
            }else{
                $title = $this->input->post('title');
                $embed_code = $this->input->post('embed_code');
                if($title && $embed_code){
                    $data_update = array(
                        'title' => $title,
                        'embed_code' => $embed_code,
                        'updated_at' => date('Y-m-d H:i:s')
                    );
                    $this->vheartbeat_live_model->update($id, $data_update);
                    // Ghi log
                    $this->actionlog_model->add('UPDATED', 'Cập nhật mã nhúng thành công!', 'Actionlog_model', 'action_log', $id);
                    //
                    $this->session->set_flashdata('success', 'Cập nhật mã nhúng thành công.');
                }else{
                    $this->session->set_flashdata('error', 'Cập nhật mã nhúng không thành công.');
                }
                redirect(base_url().'backend/cmsVheartbeatlive/listVheartbeatlive');
            }
        } else {
            $this->session->set_flashdata('error', 'Không tìm thấy mã nhúng.');
            redirect(base_url().'backend/cmsVheartbeatlive/listVheartbeatlive');
        }

    }

} 